## travis 120726

=== Makefile ===
#*****************************************************************************
#    TRAVIS - Trajectory Analyzer and Visualizer
#    Copyright (C) 2009-2012 Martin Brehm
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#*****************************************************************************

# TRAVIS Makefile

# Edit the follwing lines according to your needs

# Your C++ compiler
CXX         = g++

#**************************************************************************
# You should not need to edit the following part
#**************************************************************************

# Comment out the whole line to not use FFTW. NOT just replace the 1 by a 0, this won't work!
# Also change this setting in the config.h file! This is needed for Windows compatibility (no Makefile there)
# USE_FFTW    = 1

# The Path of your FFTW installation (obsolete)  
# FFTW_PATH   = /home/che04cnk/fftw_3.2.2_g++

# FFTW is obsolete for TRAVIS
# ifdef USE_FFTW
# FFTW_INCLUDE  = -I$(FFTW_PATH)/include
# FFTW_LIB      = -L$(FFTW_PATH)/lib -lfftw3f
# else
# FFTW_INCLUDE  =  
# FFTW_LIB      =  
# endif

CFLAGS      = -g -O2 $(FFTW_INCLUDE)
CFLAGS_PROF = -g -O2 -pg $(FFTW_INCLUDE)
CFLAGS_DEB  = -g -O0 $(FFTW_INCLUDE)
CFLAGS_REL  = -g -O3 $(FFTW_INCLUDE) -funroll-loops -march=athlon-fx
LDFLAGS     = $(FFTW_LIB)

SRC = $(wildcard src/*.cpp)
OBJ = $(SRC:%.cpp=%.o)
BIN = exe/travis

all: executable

debug: CFLAGS = $(CFLAGS_DEB)
debug: executable

release: CFLAGS = $(CFLAGS_REL)
release: executable

profile: CFLAGS = $(CFLAGS_PROF)
profile: executable

executable: $(OBJ)
	mkdir -p exe
	$(CXX) $(CFLAGS) -o $(BIN) $(OBJ) $(LDFLAGS)

%.o: %.cpp
	$(CXX) $(CFLAGS) -c $< -o $@

.PHONY: clean
clean:
	rm -f $(OBJ)

.PHONY: distclean
distclean:
	rm -f $(OBJ)
	rm -rf exe

=== debian/changelog ===
travis (120726-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Leidert <dleidert@debian.org>  Sat, 11 Aug 2012 21:22:51 +0200

travis (120707-1) unstable; urgency=low

  * Initial release (closes: #681919).

 -- Daniel Leidert <dleidert@debian.org>  Tue, 31 Jul 2012 22:24:07 +0200

=== debian/control ===
Source: travis
Section: science
Priority: extra
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Daniel Leidert <dleidert@debian.org>
Build-Depends: debhelper (>> 7.0.50~)
Standards-Version: 3.9.3
Homepage: http://www.uni-leipzig.de/~travis/
Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/travis/
Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/travis/

Package: travis
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: trajectory analyzer and visualizer
 TRAVIS (Trajectory Analyzer and Visualizer) is a free tool for analyzing
 and visualizing trajectories from all kinds of Molecular Dynamics or
 Monte Carlo simulations. The aim of TRAVIS is to collect as many analyses
 as possible in one program, creating a powerful tool and making it
 unnecessary to use many different programs for evaluating simulations.
 This should greatly rationalize and simplify the workflow of analyzing
 trajectories.

=== debian/watch ===
version=3
http://www.uni-leipzig.de/~travis/files/travis-src-([\d]+)\.tar\.gz

## travis 130123

=== debian/changelog ===
travis (130123-3) unstable; urgency=low

  * debian/control (Suggests): Fixed ... suggest grace.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 09 May 2013 17:10:13 +0200

travis (130123-2) unstable; urgency=low

  * debian/control: Added packages to suggest.
  * debian/copyright: Updated.
  * debian/travis.1: Added reference for configuration files.

 -- Daniel Leidert <dleidert@debian.org>  Wed, 13 Mar 2013 21:07:22 +0100

travis (130123-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Standards-Version): Bumped to 3.9.4.
    (Homepage): Adjusted.
    (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
  * debian/travis.1: Updated manpage file.
  * debian/travis.docs: Added PDF.
  * debian/travis.doc-base: Register PDF.
  * debian/upstream: Updated URLs.
  * debian/watch: Fixed.
  * debian/patches/hardening.patch: Applied upstream. Dropped.
  * debian/patches/series: Adjusted.

 -- Daniel Leidert <dleidert@debian.org>  Wed, 13 Mar 2013 00:32:06 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Daniel Leidert <dleidert@debian.org>
 Build-Depends: debhelper (>> 7.0.50~)
-Standards-Version: 3.9.3
-Homepage: http://www.uni-leipzig.de/~travis/
-Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/travis/
+Standards-Version: 3.9.4
+Homepage: http://www.travis-analyzer.de
+Vcs-Browser:  http://svn.debian.org/wsvn/debichem/unstable/travis/
 Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/travis/
 
 Package: travis
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Suggests: cp2k, gnuplot, graphviz, pymol, grace
 Description: trajectory analyzer and visualizer
  TRAVIS (Trajectory Analyzer and Visualizer) is a free tool for analyzing
  and visualizing trajectories from all kinds of Molecular Dynamics or

## travis 130530

=== debian/changelog ===
travis (130530-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.

 -- Daniel Leidert <dleidert@debian.org>  Sat, 01 Jun 2013 15:05:18 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>> 7.0.50~)
 Standards-Version: 3.9.4
 Homepage: http://www.travis-analyzer.de
-Vcs-Browser:  http://svn.debian.org/wsvn/debichem/unstable/travis/
-Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/travis/
+Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/travis/
+Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/travis/
 
 Package: travis
 Architecture: any

## travis 130720

=== debian/changelog ===
travis (130720-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Leidert <dleidert@debian.org>  Sat, 20 Jul 2013 15:16:54 +0200

## travis 130919

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #*****************************************************************************
 #    TRAVIS - Trajectory Analyzer and Visualizer
-#    Copyright (C) 2009-2012 Martin Brehm
+#    http://www.travis-analyzer.de/
+#
+#    Copyright (c) 2009-2013 Martin Brehm
+#                  2012-2013 Martin Thomas
+#
+#    This file written by Martin Brehm.
 #
 #    This program is free software: you can redistribute it and/or modify
 #    it under the terms of the GNU General Public License as published by
@@ -43,10 +48,10 @@
 # FFTW_LIB      =  
 # endif
 
-CFLAGS      = -g -O2 $(FFTW_INCLUDE)
-CFLAGS_PROF = -g -O2 -pg $(FFTW_INCLUDE)
-CFLAGS_DEB  = -g -O0 $(FFTW_INCLUDE)
-CFLAGS_REL  = -g -O3 $(FFTW_INCLUDE) -funroll-loops -march=athlon-fx
+CFLAGS      = -g -Wall -Wextra -pedantic -ansi -O2 $(FFTW_INCLUDE)
+CFLAGS_PROF = -g -Wall -Wextra -pedantic -ansi -O2 -pg $(FFTW_INCLUDE)
+CFLAGS_DEB  = -g -Wall -Wextra -pedantic -ansi -O0 $(FFTW_INCLUDE)
+CFLAGS_REL  = -g -Wall -Wextra -pedantic -ansi -O3 $(FFTW_INCLUDE) -funroll-loops -march=athlon-fx
 LDFLAGS     = $(FFTW_LIB)
 
 SRC = $(wildcard src/*.cpp)

=== debian/changelog ===
travis (130919-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 22 Sep 2013 02:53:52 +0200

travis (130907-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 08 Sep 2013 01:51:53 +0200

## travis 131115

=== debian/changelog ===
travis (131115-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Standards-Version): Bumped to 3.9.5.

 -- Daniel Leidert <dleidert@debian.org>  Fri, 13 Dec 2013 23:35:55 +0100

## travis 140117

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,8 @@
 #    TRAVIS - Trajectory Analyzer and Visualizer
 #    http://www.travis-analyzer.de/
 #
-#    Copyright (c) 2009-2013 Martin Brehm
-#                  2012-2013 Martin Thomas
+#    Copyright (c) 2009-2014 Martin Brehm
+#                  2012-2014 Martin Thomas
 #
 #    This file written by Martin Brehm.
 #

=== debian/changelog ===
travis (140117-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Leidert <dleidert@debian.org>  Sat, 18 Jan 2014 20:07:16 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Daniel Leidert <dleidert@debian.org>
 Build-Depends: debhelper (>> 7.0.50~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.travis-analyzer.de
 Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/travis/
 Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/travis/

=== debian/watch ===
version=3
http://www.travis-analyzer.de/downl.php files/travis-src-([\d]+)\.tar\.gz

## travis 140902

=== Makefile ===
--- 
+++ 
@@ -32,26 +32,10 @@
 # You should not need to edit the following part
 #**************************************************************************
 
-# Comment out the whole line to not use FFTW. NOT just replace the 1 by a 0, this won't work!
-# Also change this setting in the config.h file! This is needed for Windows compatibility (no Makefile there)
-# USE_FFTW    = 1
-
-# The Path of your FFTW installation (obsolete)  
-# FFTW_PATH   = /home/che04cnk/fftw_3.2.2_g++
-
-# FFTW is obsolete for TRAVIS
-# ifdef USE_FFTW
-# FFTW_INCLUDE  = -I$(FFTW_PATH)/include
-# FFTW_LIB      = -L$(FFTW_PATH)/lib -lfftw3f
-# else
-# FFTW_INCLUDE  =  
-# FFTW_LIB      =  
-# endif
-
 CFLAGS      = -g -Wall -Wextra -pedantic -ansi -O2 $(FFTW_INCLUDE)
 CFLAGS_PROF = -g -Wall -Wextra -pedantic -ansi -O2 -pg $(FFTW_INCLUDE)
 CFLAGS_DEB  = -g -Wall -Wextra -pedantic -ansi -O0 $(FFTW_INCLUDE)
-CFLAGS_REL  = -g -Wall -Wextra -pedantic -ansi -O3 $(FFTW_INCLUDE) -funroll-loops -march=athlon-fx
+CFLAGS_REL  = -g -Wall -Wextra -pedantic -ansi -O3 $(FFTW_INCLUDE) -march=athlon-fx
 LDFLAGS     = $(FFTW_LIB)
 
 SRC = $(wildcard src/*.cpp)

=== debian/changelog ===
travis (140902-1) unstable; urgency=medium

  * New upstream release.

  [ Daniel Leidert ]
  * debian/copyright: Updated.
  * debian/upstream: Renamed to debian/upstream/metadata.

  [ Michael Banck ]
  * debian/travis.1: Add LAMMPS and DLPOLY to trajectory filetypes and
    document -stream option.
  * debian/control (Description): List supported fileteypes and
    available analysis features.

 -- Daniel Leidert <dleidert@debian.org>  Mon, 22 Sep 2014 10:00:17 +0200

=== debian/control ===
--- 
+++ 
@@ -20,4 +20,26 @@
  as possible in one program, creating a powerful tool and making it
  unnecessary to use many different programs for evaluating simulations.
  This should greatly rationalize and simplify the workflow of analyzing
- trajectories.
+ trajectories. The following analysis functions are available:
+ .
+ Static (time independent) Functions:
+  * Radial, Angular, Dihedreal or Combined Distribution Function
+  * Point-Plane or Point-Line Distance Distribution
+  * Plane Projection Distribution
+  * Fixed Plane Density Profile
+  * Density, Spatial or Dipole Distribution Function
+ .
+ Dynamic (time dependent) Functions:
+  * Velocity Distribution Function
+  * Mean Square Displacement / Diffusion Coefficients
+  * Velocity Autocorrelation Functions
+  * Vector Reorientation Dynamics
+  * Van Hove Correlation Function
+  * Aggregation Functions (DACF, DLDF, DDisp)
+ .
+ Spectroscopic Functions:
+  * Calculate Power Spectrum
+  * Calculate IR Spectrum
+  * Calculate Raman Spectrum
+ .
+ TRAVIS can read trajectory files in XYZ, PDB, LAMMPS or DLPOLY format.

## travis 150205

=== debian/changelog ===
travis (150205-1) unstable; urgency=medium

  * New upstream release.
  * debian/control (Standards-Version): Bumped to 3.9.6.
  * debian/copyright: Updated.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 10 May 2015 11:28:34 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Daniel Leidert <dleidert@debian.org>
 Build-Depends: debhelper (>> 7.0.50~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.travis-analyzer.de
 Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/travis/
 Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/travis/

## travis 150916

=== debian/changelog ===
travis (150916-1) unstable; urgency=medium

  * New upstream release.
  * debian/compat: Raised compat level to 9.
  * debian/control (Build-Depends): Raised required debhelper version
    accordingly.
  * debian/upstream/metadata: Added citation and few other keywords.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 27 Sep 2015 12:50:44 +0200

## travis 151107

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,8 @@
 #    TRAVIS - Trajectory Analyzer and Visualizer
 #    http://www.travis-analyzer.de/
 #
-#    Copyright (c) 2009-2014 Martin Brehm
-#                  2012-2014 Martin Thomas
+#    Copyright (c) 2009-2015 Martin Brehm
+#                  2012-2015 Martin Thomas
 #
 #    This file written by Martin Brehm.
 #

=== debian/changelog ===
travis (151107-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Leidert <dleidert@debian.org>  Tue, 17 Nov 2015 19:32:16 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Daniel Leidert <dleidert@debian.org>
-Build-Depends: debhelper (>> 7.0.50~)
+Build-Depends: debhelper (>> 9~)
 Standards-Version: 3.9.6
 Homepage: http://www.travis-analyzer.de
 Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/travis/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS  ?= $(shell dpkg-buildflags --get CXXFLAGS)
CFLAGS  += $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS ?= $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_clean:
	dh_auto_clean -- distclean

## travis 161013

=== Makefile ===
--- 
+++ 
@@ -32,10 +32,10 @@
 # You should not need to edit the following part
 #**************************************************************************
 
-CFLAGS      = -g -Wall -Wextra -pedantic -ansi -O2 $(FFTW_INCLUDE)
-CFLAGS_PROF = -g -Wall -Wextra -pedantic -ansi -O2 -pg $(FFTW_INCLUDE)
-CFLAGS_DEB  = -g -Wall -Wextra -pedantic -ansi -O0 $(FFTW_INCLUDE)
-CFLAGS_REL  = -g -Wall -Wextra -pedantic -ansi -O3 $(FFTW_INCLUDE) -march=athlon-fx
+CFLAGS      = -g -Wall -Wextra -Wformat -Wformat-security -pedantic -ansi -O2 $(FFTW_INCLUDE)
+CFLAGS_PROF = -g -Wall -Wextra -Wformat -Wformat-security -pedantic -ansi -O2 -pg $(FFTW_INCLUDE)
+CFLAGS_DEB  = -g -Wall -Wextra -Wformat -Wformat-security -pedantic -ansi -O0 $(FFTW_INCLUDE)
+CFLAGS_REL  = -g -Wall -Wextra -Wformat -Wformat-security -pedantic -ansi -O3 $(FFTW_INCLUDE) -march=athlon-fx
 LDFLAGS     = $(FFTW_LIB)
 
 SRC = $(wildcard src/*.cpp)

=== debian/changelog ===
travis (161013-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Leidert <dleidert@debian.org>  Mon, 24 Oct 2016 23:14:01 +0200

travis (161002-1) unstable; urgency=medium

  * New upstream release.
    - Fixes build issues with GCC 6 (closes: #831114).
  * debian/control (Standards-Version): Bumped to 3.9.8.
  * debian/copyright: Updated.

 -- Daniel Leidert <dleidert@debian.org>  Mon, 03 Oct 2016 13:34:21 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Daniel Leidert <dleidert@debian.org>
 Build-Depends: debhelper (>> 9~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.travis-analyzer.de
 Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/travis/
 Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/travis/

## travis 170812

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,9 @@
 #    TRAVIS - Trajectory Analyzer and Visualizer
 #    http://www.travis-analyzer.de/
 #
-#    Copyright (c) 2009-2015 Martin Brehm
-#                  2012-2015 Martin Thomas
+#    Copyright (c) 2009-2017 Martin Brehm
+#                  2012-2017 Martin Thomas
+#                  2009-2017 Barbara Kirchner
 #
 #    This file written by Martin Brehm.
 #

=== debian/changelog ===
travis (170812-1) unstable; urgency=medium

  * New upstream release.
  * debian/compat: Raised to compat level 11.
  * debian/control (Priority): Dropped priority extra.
    (Standards-Version): Raised to 4.1.3.
    (Build-Depends): Raised debhelper version.
    (Vcs-Browser): Use secure URI.
  * debian/copyright: Updated.
  * debian/rules: Enable full hardening.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 14 Jan 2018 02:39:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: travis
 Section: science
-Priority: extra
+Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Daniel Leidert <dleidert@debian.org>
-Build-Depends: debhelper (>> 9~)
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>> 11~)
+Standards-Version: 4.1.3
 Homepage: http://www.travis-analyzer.de
-Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/travis/
+Vcs-Browser: https://anonscm.debian.org/viewvc/debichem/unstable/travis/
 Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/travis/
 
 Package: travis

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,12 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 CFLAGS  ?= $(shell dpkg-buildflags --get CXXFLAGS)
 CFLAGS  += $(shell dpkg-buildflags --get CPPFLAGS)
 LDFLAGS ?= $(shell dpkg-buildflags --get LDFLAGS)
+LDFLAGS += -Wl,--as-needed
 
 %:
 	dh $@ --parallel

## travis 190101

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 #    TRAVIS - Trajectory Analyzer and Visualizer
 #    http://www.travis-analyzer.de/
 #
-#    Copyright (c) 2009-2017 Martin Brehm
-#                  2012-2017 Martin Thomas
-#                  2009-2017 Barbara Kirchner
+#    Copyright (c) 2009-2019 Martin Brehm
+#                  2012-2019 Martin Thomas
+#                  2016-2019 Sascha Gehrke
 #
 #    This file written by Martin Brehm.
 #

=== debian/changelog ===
travis (190101-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:01:08 +0100

travis (190101-1) unstable; urgency=medium

  * New upstream release.
  * d/control (Standards-Version): Bumped to 4.3.0.
    (Vcs-Browser, Vcs-Svn): Updated for Salsa repository.
  * d/rules: Fixed debian-rules-uses-unnecessary-dh-argument.
  * d/patches/0001-Fix-typos.patch: Added.
    - Fix all typos reported by lintian.
  * d/patches/series: Added.

 -- Daniel Leidert <dleidert@debian.org>  Tue, 12 Feb 2019 02:11:32 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Daniel Leidert <dleidert@debian.org>
 Build-Depends: debhelper (>> 11~)
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: http://www.travis-analyzer.de
-Vcs-Browser: https://anonscm.debian.org/viewvc/debichem/unstable/travis/
-Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/travis/
+Vcs-Browser: https://salsa.debian.org/debichem-team/travis
+Vcs-Git: https://salsa.debian.org/debichem-team/travis.git
 
 Package: travis
 Architecture: any

## travis 200504+hf2

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 #    TRAVIS - Trajectory Analyzer and Visualizer
 #    http://www.travis-analyzer.de/
 #
-#    Copyright (c) 2009-2019 Martin Brehm
-#                  2012-2019 Martin Thomas
-#                  2016-2019 Sascha Gehrke
+#    Copyright (c) 2009-2020 Martin Brehm
+#                  2012-2020 Martin Thomas
+#                  2016-2020 Sascha Gehrke
 #
 #    This file written by Martin Brehm.
 #

=== debian/changelog ===
travis (200504+hf2-1) unstable; urgency=medium

  * New upstream release.

  [ Michael Banck ]
  * d/watch: Updated for hotfix releases.

  [ Daniel Leidert ]
  * d/compat: Remove deprecated file.
  * d/control: Wrap and sort file. Add Rules-Requires-Root.
    (Standards-Version): Bump to 4.5.0.
    (Build-Depends): Use debhelper-compat 12.
  * d/copyright: Update file, add citations and LibBQB license and copyright.
    (License): Fix license short name.
  * d/rules (LDFLAGS): Fix debian-rules-uses-as-needed-linker-flag. 
  * d/watch: Fix uversion creation for hotfix releases.
  * d/patches/0001-Fix-typos.patch: Refresh patch.
  * d/upstream/metadata: Add Bug-Submit and Repository fields.
    (Contact): Move to d/copyright.
  * d/tests/control: Run program in autopkgtest.

 -- Daniel Leidert <dleidert@debian.org>  Tue, 06 Oct 2020 21:59:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,22 @@
 Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Daniel Leidert <dleidert@debian.org>
-Build-Depends: debhelper (>> 11~)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.travis-analyzer.de
 Vcs-Browser: https://salsa.debian.org/debichem-team/travis
 Vcs-Git: https://salsa.debian.org/debichem-team/travis.git
 
 Package: travis
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: cp2k, gnuplot, graphviz, pymol, grace
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: cp2k,
+          gnuplot,
+          grace,
+          graphviz,
+          pymol
 Description: trajectory analyzer and visualizer
  TRAVIS (Trajectory Analyzer and Visualizer) is a free tool for analyzing
  and visualizing trajectories from all kinds of Molecular Dynamics or

=== debian/rules ===
--- 
+++ 
@@ -14,10 +14,9 @@
 CFLAGS  ?= $(shell dpkg-buildflags --get CXXFLAGS)
 CFLAGS  += $(shell dpkg-buildflags --get CPPFLAGS)
 LDFLAGS ?= $(shell dpkg-buildflags --get LDFLAGS)
-LDFLAGS += -Wl,--as-needed
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_build:
 	dh_auto_build -- CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

=== debian/tests/control ===
Test-Command: xvfb-run -a /usr/bin/travis &
Depends: @, xauth, xvfb
Features: test-name=run
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s%\.-(hf\d+?)%+$1% \
 http://www.travis-analyzer.de/downl.php files/@PACKAGE@-src-(\d+)(-hf\d+?)?@ARCHIVE_EXT@

## travis 210521

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 #    TRAVIS - Trajectory Analyzer and Visualizer
 #    http://www.travis-analyzer.de/
 #
-#    Copyright (c) 2009-2020 Martin Brehm
-#                  2012-2020 Martin Thomas
-#                  2016-2020 Sascha Gehrke
+#    Copyright (c) 2009-2021 Martin Brehm
+#                  2012-2021 Martin Thomas
+#                  2016-2021 Sascha Gehrke
 #
 #    This file written by Martin Brehm.
 #
@@ -33,15 +33,18 @@
 # You should not need to edit the following part
 #**************************************************************************
 
-CFLAGS      = -g -Wall -Wextra -Wformat -Wformat-security -pedantic -ansi -O2 $(FFTW_INCLUDE)
-CFLAGS_PROF = -g -Wall -Wextra -Wformat -Wformat-security -pedantic -ansi -O2 -pg $(FFTW_INCLUDE)
-CFLAGS_DEB  = -g -Wall -Wextra -Wformat -Wformat-security -pedantic -ansi -O0 $(FFTW_INCLUDE)
-CFLAGS_REL  = -g -Wall -Wextra -Wformat -Wformat-security -pedantic -ansi -O3 $(FFTW_INCLUDE) -march=athlon-fx
-LDFLAGS     = $(FFTW_LIB)
+CFLAGS      = -g -Wall -Wextra -Wformat -Wformat-security -pedantic -std=c++14 -fsigned-char -pthread -O2
+CFLAGS_PROF = -g -Wall -Wextra -Wformat -Wformat-security -pedantic -std=c++14 -fsigned-char -pthread -O2 -pg
+CFLAGS_DEB  = -g -Wall -Wextra -Wformat -Wformat-security -pedantic -std=c++14 -fsigned-char -pthread -O0
+CFLAGS_REL  = -g -Wall -Wextra -Wformat -Wformat-security -pedantic -std=c++14 -fsigned-char -pthread -O3 -march=athlon-fx
+CFLAGS_OMP  = -g -Wall -Wextra -Wformat -Wformat-security -pedantic -std=c++14 -fsigned-char -pthread -O2 -fopenmp
 
-SRC = $(wildcard src/*.cpp)
-OBJ = $(SRC:%.cpp=%.o)
-BIN = exe/travis
+SRC  = $(wildcard src/*.cpp)
+SRC += $(wildcard src/libtravis/*.cpp)
+SRC += $(wildcard src/libtravis/kiss_fft/*.cpp)
+SRC += $(wildcard src/libtravis/voro++/*.cpp)
+OBJ  = $(SRC:%.cpp=%.o)
+BIN  = exe/travis
 
 all: executable
 
@@ -53,6 +56,9 @@
 
 profile: CFLAGS = $(CFLAGS_PROF)
 profile: executable
+
+omp: CFLAGS = $(CFLAGS_OMP)
+omp: executable
 
 executable: $(OBJ)
 	mkdir -p exe
@@ -70,3 +76,4 @@
 	rm -f $(OBJ)
 	rm -rf exe
 
+

=== debian/changelog ===
travis (210521-1) unstable; urgency=medium

  * New upstream release.
  * d/control (Standards-Version): Bump to 4.6.0.
  * d/copyright: Update and add information.
  * d/rules (CFLAGS): Add -fopenmp and -pthread.
  * d/watch: Update file. Fix a potential issue (see #994431).
  * d/tests/control: Disable tests because of backgrounded-test-command.
  * d/upstream/metadata: Fix upstream-metadata-field-unknown.
  * d/patches/0001-Fix-typos.patch: Drop patch applied upstream.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 16 Sep 2021 01:00:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Daniel Leidert <dleidert@debian.org>
 Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://www.travis-analyzer.de
 Vcs-Browser: https://salsa.debian.org/debichem-team/travis

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 
 CFLAGS  ?= $(shell dpkg-buildflags --get CXXFLAGS)
 CFLAGS  += $(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS  += -fopenmp -pthread
 LDFLAGS ?= $(shell dpkg-buildflags --get LDFLAGS)
 
 %:

## travis 220729

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 #    TRAVIS - Trajectory Analyzer and Visualizer
 #    http://www.travis-analyzer.de/
 #
-#    Copyright (c) 2009-2021 Martin Brehm
-#                  2012-2021 Martin Thomas
-#                  2016-2021 Sascha Gehrke
+#    Copyright (c) 2009-2022 Martin Brehm
+#                  2012-2022 Martin Thomas
+#                  2016-2022 Sascha Gehrke
 #
 #    This file written by Martin Brehm.
 #

=== debian/changelog ===
travis (220729-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Michael Banck <mbanck@debian.org>  Sat, 14 Jan 2023 13:32:45 +0100

=== debian/watch ===
version=4
opts=uversionmangle=s%-(hf\d+?)%+$1% \
 http://www.travis-analyzer.de/downl.php files/@PACKAGE@-src-([0-9]+(?:-hf[0-9]*)?)@ARCHIVE_EXT@
